# $Revision: 1.4 $, $Date: 2002/08/15 17:50:12 $
#
# Conditional build:
# _without_tests - do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Crypt
%define		pnam	OpenSSL-Random
Summary:	Crypt::OpenSSL::Random - accessing the OpenSSL pseudo-random number generator
Summary(pl):	Crypt::OpenSSL::Random - dostp do generatora liczb pseudolosowych z OpenSSL
Name:		perl-Crypt-OpenSSL-Random
Version:	0.03
Release:	3
License:	GPL
Group:		Development/Languages/Perl
Source0:	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	openssl-devel
BuildRequires:	perl-devel >= 5.6.1
BuildRequires:	rpm-perlprov >= 3.0.3-16
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Crypt::OpenSSL::Random provides the ability to seed and query the
OpenSSL library's pseudo-random number generator.

%description -l pl
Modu Crypt::OpenSSL::Random daje moliwo zasilania oraz odpytywanie
generatora liczb pseudolosowych z biblioteki OpenSSL.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
perl Makefile.PL
%{__make} OPTIMIZE="%{rpmcflags}"

%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_sitearch}/Crypt/OpenSSL/Random.pm
%dir %{perl_sitearch}/auto/Crypt/OpenSSL/Random
%{perl_sitearch}/auto/Crypt/OpenSSL/Random/*.bs
%{perl_sitearch}/auto/Crypt/OpenSSL/Random/autosplit.ix
%attr(755,root,root) %{perl_sitearch}/auto/Crypt/OpenSSL/Random/*.so
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Crypt-OpenSSL-Random.spec,v $
Revision 1.4  2002/08/15 17:50:12  qboosh
- fixed Summary, added pl description
- added conditional tests
- release 3

Revision 1.3  2002/08/11 10:51:08  radek
- informative summary/description, release++, STBR

Revision 1.2  2002/07/20 10:18:29  qboosh
- added OPTIMIZE

Revision 1.1  2002/07/19 23:05:47  ankry
- initial spec, STBR
